<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

  <!-- Declare output -->
  <xsl:output method="xml" encoding="utf-8" indent="yes" />

  <!-- Declare keys -->
	<xsl:key name="PRODUCT" match="/SHOP/SHOPITEM" use="CODE"/>
	<xsl:key name="VARIANT" match="/SHOP/SHOPITEM/PARAMETERS/PARAMETER" use="CODE"/>

	<!-- Which template we use with root node -->
	<xsl:template match="/SHOP">
	  <DATA Mode="bind_changes">
		  <!-- zpracuj vyrobky s variantami -->
		  <xsl:apply-templates select="SHOPITEM[count(PARAMETERS/PARAMETER)>0]"/>
	  </DATA>
  </xsl:template>
	
  <!-- Shop item template -->
  <xsl:template match="SHOPITEM">
    <!-- Podminka na unikatnost -->
    <xsl:if test="generate-id() = generate-id(key('PRODUCT', CODE))">
		
		<COUPLEDPRODUCT UniqueID="Krasa-{CODE}-MAIN" >
			<COUPLEDPRODUCTS>
				<xsl:apply-templates select="PARAMETERS/PARAMETER"/>
			</COUPLEDPRODUCTS>
		</COUPLEDPRODUCT>
  </xsl:if>
  </xsl:template>

	<xsl:template match="PARAMETERS/PARAMETER">
		<!-- 
		zajištění unikátnosti:
			nový výrobek bude vložen jen v případě, že jeho kód není použit jako kód jiného hlavního výrobku 
			ani není použitý mezi jinými variantami
			Vyskytl se dokonce pripad, kdy varianta ma stejny kod jako hlavni vyrobek.
		-->
		<xsl:if test="count(key('PRODUCT', CODE)) = 0 and  generate-id() = generate-id(key('VARIANT', CODE))">
			<COUPLEDPRODUCT>
				<SIGNIFICANCE>6</SIGNIFICANCE>
				<ORDERING>
					<xsl:value-of select="position()"/>
				</ORDERING>
				<BANDEDPRODUCT UniqueID="Krasa-{CODE}"/>
			</COUPLEDPRODUCT>
		</xsl:if>
	</xsl:template>
  
</xsl:stylesheet>

