<?xml version="1.0" encoding="windows-1250"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0"
		>
	<xsl:output method="xml" encoding="utf-8" indent="yes" />
	<xsl:decimal-format decimal-separator="."/>
	<xsl:key name="PRODUCT" match="/SHOP/SHOPITEM" use="CODE"/>
	<xsl:key name="VARIANT" match="/SHOP/SHOPITEM/PARAMETERS/PARAMETER" use="CODE"/>


	<xsl:template match="/SHOP">
		<DATA Mode="bind_changes">
			<xsl:apply-templates select="SHOPITEM"/>
		</DATA>
	</xsl:template>

	<xsl:template match="SHOPITEM">
		<INLEVELS UniqueID="Krasa-{CODE}-MAIN">
			<INLEVELS>
				<INLEVELS>
					<LEVEL UniqueID="ROOT_LEVEL"/>
				</INLEVELS>
				<INLEVELS>
					<LEVEL UniqueID="Krasa-DEPARTMENT_LEVEL"/>
				</INLEVELS>
				
				<xsl:for-each select="CATEGORIES/CATEGORY">
		<xsl:if test="@id != ''">
				<INLEVELS>
					<LEVEL UniqueID="Krasa-{@id}" />
				</INLEVELS>
		</xsl:if>
    </xsl:for-each>
        
		<xsl:if test="ADD_DESCRIPTION/URCENO_PRO/@muze = '1'">
				<INLEVELS>
					<LEVEL UniqueID="Krasa-URCENI-MUZI"/>
				</INLEVELS>
		</xsl:if>

        <xsl:if test="ADD_DESCRIPTION/URCENO_PRO/@zeny = '1'">
          <INLEVELS>
            <LEVEL UniqueID="Krasa-URCENI-ZENY"/>
          </INLEVELS>
        </xsl:if>

        <xsl:if test="ADD_DESCRIPTION/URCENO_PRO/@deti = '1'">
          <INLEVELS>
            <LEVEL UniqueID="Krasa-URCENI-DETI"/>
          </INLEVELS>
        </xsl:if>
      </INLEVELS>
		</INLEVELS>
    
		<xsl:apply-templates select="PARAMETERS/PARAMETER"/>
	</xsl:template>
	<xsl:template match="PARAMETERS/PARAMETER">
		<!-- 
		zajitn uniktnosti:
			nov vrobek bude vloen jen v ppad, e jeho kd nen pouit jako kd jinho hlavnho vrobku 
			ani nen pouit mezi jinmi variantami
		-->
		<xsl:if test="count(key('PRODUCT', CODE)) = 0 and  generate-id() = generate-id(key('VARIANT', CODE))">
			<INLEVELS UniqueID="Krasa-{CODE}">
				<INLEVELS>
					<INLEVELS>
						<LEVEL UniqueID="ROOT_LEVEL"/>
					</INLEVELS>
					<INLEVELS>
						<LEVEL UniqueID="Krasa-DEPARTMENT_LEVEL"/>
					</INLEVELS>

          <xsl:for-each select="../../CATEGORIES/CATEGORY">
            <xsl:if test="@id != ''">
              <INLEVELS>
                <LEVEL UniqueID="Krasa-{@id}" />
              </INLEVELS>
            </xsl:if>
          </xsl:for-each>

          <xsl:if test="../../ADD_DESCRIPTION/URCENO_PRO/@muze = '1'">
            <INLEVELS>
              <LEVEL UniqueID="Krasa-URCENI-MUZI"/>
            </INLEVELS>
          </xsl:if>

          <xsl:if test="../../ADD_DESCRIPTION/URCENO_PRO/@zeny = '1'">
            <INLEVELS>
              <LEVEL UniqueID="Krasa-URCENI-ZENY"/>
            </INLEVELS>
          </xsl:if>

          <xsl:if test="../../ADD_DESCRIPTION/URCENO_PRO/@deti = '1'">
            <INLEVELS>
              <LEVEL UniqueID="Krasa-URCENI-DETI"/>
            </INLEVELS>
          </xsl:if>
        </INLEVELS>
			</INLEVELS>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>