<?xml version="1.0" encoding="windows-1250"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0"
		>
<xsl:output method="xml" encoding="windows-1250" indent="yes" />
<xsl:decimal-format decimal-separator="."/>

  <!-- Declare variables -->
	<xsl:key name="URCENI" match="/SHOP/SHOPITEM/ADD_DESCRIPTION/URCENO_PRO" use="."/>
	<xsl:key name="id" match="/SHOP/LISTS/RADY/ITEM" use="@id"/>

  <xsl:template match="/SHOP">
	<DATA Mode="changes">
		<!--one-department only-->
		<LEVEL UniqueID="ROOT_LEVEL">
			<TYPE>4</TYPE>
		</LEVEL>
		<LEVEL UniqueID="Krasa-DEPARTMENT_LEVEL">
			<TYPE>3</TYPE>
			<PARENTLEVEL UniqueID="ROOT_LEVEL"/>
			<HIDDEN>0</HIDDEN>
			<LEVELLANGATTRS>
				<LEVELLANGATTRS>
					<LANGUAGE UniqueID="CS" />
					<NAME>Oddlen Krsa</NAME>
				</LEVELLANGATTRS>
			</LEVELLANGATTRS>
		</LEVEL>
		<LEVEL UniqueID="Krasa-CATEGORIZATION_LEVEL">
		  <TYPE>2</TYPE>
		  <PARENTLEVEL UniqueID="Krasa-DEPARTMENT_LEVEL"/>
		  <HIDDEN>0</HIDDEN>
		  <LEVELLANGATTRS>
			<LEVELLANGATTRS>
			  <LANGUAGE UniqueID="CS" />
			  <NAME>Kategorie Krsa</NAME>
			</LEVELLANGATTRS>
		  </LEVELLANGATTRS>
		</LEVEL>
		<xsl:apply-templates select="LISTS/CATEGORIES/ITEM">
			<xsl:sort order="ascending" select="."/>
		</xsl:apply-templates>

		<LEVEL UniqueID="Krasa-URCENI-CATEGORIZATION_LEVEL">
			<TYPE>2</TYPE>
			<PARENTLEVEL UniqueID="Krasa-DEPARTMENT_LEVEL"/>
			<HIDDEN>0</HIDDEN>
			<LEVELLANGATTRS>
				<LEVELLANGATTRS>
					<LANGUAGE UniqueID="CS" />
					<NAME>lenn podle uren</NAME>
				</LEVELLANGATTRS>
			</LEVELLANGATTRS>
		</LEVEL>

    <LEVEL UniqueID="Krasa-URCENI-MUZI">
      <TYPE>1</TYPE>
      <ORDERING>
        <xsl:value-of select="1"/>
      </ORDERING>
        <PARENTLEVEL UniqueID="Krasa-URCENI-CATEGORIZATION_LEVEL"/>
      <LEVELLANGATTRS>
        <LEVELLANGATTRS>
          <LANGUAGE UniqueID="CS" />
          <NAME>Pro mue</NAME>
        </LEVELLANGATTRS>
      </LEVELLANGATTRS>
    </LEVEL>

    <LEVEL UniqueID="Krasa-URCENI-ZENY">
      <TYPE>1</TYPE>
      <ORDERING>
        <xsl:value-of select="1"/>
      </ORDERING>
      <PARENTLEVEL UniqueID="Krasa-URCENI-CATEGORIZATION_LEVEL"/>
      <LEVELLANGATTRS>
        <LEVELLANGATTRS>
          <LANGUAGE UniqueID="CS" />
          <NAME>Pro eny</NAME>
        </LEVELLANGATTRS>
      </LEVELLANGATTRS>
    </LEVEL>
    <LEVEL UniqueID="Krasa-URCENI-DETI">
      <TYPE>1</TYPE>
      <ORDERING>
        <xsl:value-of select="1"/>
      </ORDERING>
      <PARENTLEVEL UniqueID="Krasa-URCENI-CATEGORIZATION_LEVEL"/>
      <LEVELLANGATTRS>
        <LEVELLANGATTRS>
          <LANGUAGE UniqueID="CS" />
          <NAME>Pro dti</NAME>
        </LEVELLANGATTRS>
      </LEVELLANGATTRS>
    </LEVEL>
  </DATA>
</xsl:template>

	<xsl:template match="ITEM">
		<LEVEL UniqueID="Krasa-{@id}">
			<TYPE>1</TYPE>
			<ORDERING>
				<xsl:value-of select="position()"/>
			</ORDERING>
      <xsl:if test="@parent != '' and @parent != '0'">
			<PARENTLEVEL UniqueID="Krasa-{@parent}"/>
      </xsl:if>
      <xsl:if test="@parent = '' or @parent = '0' or count(@parent)=0">
			<PARENTLEVEL UniqueID="Krasa-CATEGORIZATION_LEVEL"/>
      </xsl:if>
			<LEVELLANGATTRS>
				<LEVELLANGATTRS>
					<LANGUAGE UniqueID="CS" />
					<NAME>
						<xsl:value-of select="."/>
					</NAME>
				</LEVELLANGATTRS>
			</LEVELLANGATTRS>
		</LEVEL>
	</xsl:template>

	<xsl:template match="URCENO_PRO">
		<xsl:if test="generate-id() = generate-id(key('URCENI', text()))">
		<LEVEL UniqueID="Krasa-URCENI-{text()}">
			<TYPE>1</TYPE>
			<PARENTLEVEL UniqueID="Krasa-URCENI-CATEGORIZATION_LEVEL"/>
			<LEVELLANGATTRS>
				<LEVELLANGATTRS>
					<LANGUAGE UniqueID="CS" />
					<NAME>
						<xsl:value-of select="text()"/>
					</NAME>
				</LEVELLANGATTRS>
			</LEVELLANGATTRS>
		</LEVEL>
		</xsl:if>
	</xsl:template>
	
</xsl:stylesheet>