<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0"
		>
<xsl:output method="xml" encoding="utf-8" indent="yes" />
  
  <!-- Declare variables -->
  <xsl:key name="PRODUCT" match="/SHOP/SHOPITEM" use="CODE"/>
	<xsl:key name="VARIANT" match="/SHOP/SHOPITEM/PARAMETERS/PARAMETER" use="CODE"/>

	<xsl:template match="/SHOP">
	<DATA Mode="bind_changes">
		<xsl:apply-templates select="SHOPITEM"/>
	</DATA>
</xsl:template>
	
<xsl:template match="SHOPITEM">
  <!-- Podminka na unikantost -->
  <xsl:if test="generate-id() = generate-id(key('PRODUCT', CODE))">
    <PRODUCTTEXTS UniqueID="Krasa-{CODE}-MAIN">
			<PRODUCTLANGATTRS>
				<PRODUCTBASELANGATTRS>
					<LANGUAGE UniqueID="CS" />
					<NAME><xsl:value-of select="PRODUCT"/></NAME>
					<DESCRIPTION><xsl:value-of select="DESCRIPTION"/></DESCRIPTION>
				  <EnhancedDescription>
					<xsl:value-of select="ADD_DESCRIPTION/POPIS_DLOUHY"/>
					<![CDATA[<br /><strong>Poznámka:</strong><br />]]>
					<xsl:value-of select="ADD_DESCRIPTION/POZNAMKA"/>
				  </EnhancedDescription>
				</PRODUCTBASELANGATTRS>
			</PRODUCTLANGATTRS>
		</PRODUCTTEXTS>
	  <xsl:apply-templates select="PARAMETERS/PARAMETER"/>
  </xsl:if>
</xsl:template>


	<xsl:template match="PARAMETERS/PARAMETER">
		<!-- pro kazdy parametr se vytvori dalsi vyrobek, do nazvu puvodniho vyrobku se prida nazev a hodnota parametru, ktere se take zapisi do TEXT1 a TEXT2-->
		<xsl:if test="count(key('PRODUCT', CODE)) = 0 and  generate-id() = generate-id(key('VARIANT', CODE))">
			<PRODUCTTEXTS UniqueID="Krasa-{CODE}" linkedto="Krasa-{../../CODE}-MAIN">
				<PRODUCTLANGATTRS>
					<PRODUCTBASELANGATTRS>
						<LANGUAGE UniqueID="CS" />
						<NAME>
							<xsl:value-of select="concat(../../PRODUCT, ' - ', NAME, ' ', VALUE)"/>
						</NAME>
						<DESCRIPTION>
							<xsl:value-of select="../../DESCRIPTION"/>
						</DESCRIPTION>
						<EnhancedDescription>
							<xsl:value-of select="../../ADD_DESCRIPTION/POPIS_DLOUHY"/>
							<![CDATA[<br /><strong>Poznámka:</strong><br />]]>
							<xsl:value-of select="../../ADD_DESCRIPTION/POZNAMKA"/>
						</EnhancedDescription>
						<TEXT1>
							<xsl:value-of select="NAME"/>
						</TEXT1>
						<TEXT2>
							<xsl:value-of select="VALUE"/>
						</TEXT2>
					</PRODUCTBASELANGATTRS>
				</PRODUCTLANGATTRS>
			</PRODUCTTEXTS>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>