<?xml version="1.0" encoding="windows-1250"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0"
		>
<xsl:output method="xml" encoding="windows-1250" indent="yes" />
<xsl:decimal-format decimal-separator="."/>

  <!-- Declare variables -->
	<xsl:key name="URCENI" match="/SHOP/SHOPITEM/ADD_DESCRIPTION/URCENO_PRO" use="."/>
	<xsl:key name="id" match="/SHOP/LISTS/RADY/ITEM" use="@id"/>

  <xsl:template match="/SHOP">
	<DATA Mode="changes">
		<!--one-department only-->
		<LEVEL UniqueID="ROOT_LEVEL">
			<TYPE>4</TYPE>
		</LEVEL>
		<LEVEL UniqueID="Parfemy-DEPARTMENT_LEVEL">
			<TYPE>3</TYPE>
			<PARENTLEVEL UniqueID="ROOT_LEVEL"/>
			<HIDDEN>0</HIDDEN>
			<LEVELLANGATTRS>
				<LEVELLANGATTRS>
					<LANGUAGE UniqueID="CS" />
					<NAME>Oddlen Parfmy</NAME>
				</LEVELLANGATTRS>
			</LEVELLANGATTRS>
		</LEVEL>
		<LEVEL UniqueID="Parfemy-CATEGORIZATION_LEVEL">
		  <TYPE>2</TYPE>
		  <PARENTLEVEL UniqueID="Parfemy-DEPARTMENT_LEVEL"/>
		  <HIDDEN>0</HIDDEN>
		  <LEVELLANGATTRS>
			<LEVELLANGATTRS>
			  <LANGUAGE UniqueID="CS" />
			  <NAME>Kategorie Parfmy</NAME>
			</LEVELLANGATTRS>
		  </LEVELLANGATTRS>
		</LEVEL>
		<xsl:apply-templates select="LISTS/RADY/ITEM">
			<xsl:sort order="ascending" select="."/>
		</xsl:apply-templates>

		<LEVEL UniqueID="Parfemy-URCENI-CATEGORIZATION_LEVEL">
			<TYPE>2</TYPE>
			<PARENTLEVEL UniqueID="Parfemy-DEPARTMENT_LEVEL"/>
			<HIDDEN>0</HIDDEN>
			<LEVELLANGATTRS>
				<LEVELLANGATTRS>
					<LANGUAGE UniqueID="CS" />
					<NAME>lenn podle uren</NAME>
				</LEVELLANGATTRS>
			</LEVELLANGATTRS>
		</LEVEL>
		<xsl:apply-templates select="SHOPITEM/ADD_DESCRIPTION/URCENO_PRO"/>
	</DATA>
</xsl:template>

	<xsl:template match="RADY/ITEM">
		<LEVEL UniqueID="Parfemy-{@id}">
			<TYPE>1</TYPE>
			<ORDERING>
				<xsl:value-of select="position()"/>
			</ORDERING>
      <xsl:if test="@parent != '' and @parent != '0'">
			<PARENTLEVEL UniqueID="Parfemy-{@parent}"/>
      </xsl:if>
      <xsl:if test="@parent = '' or @parent = '0' or count(@parent)=0">
			<PARENTLEVEL UniqueID="Parfemy-CATEGORIZATION_LEVEL"/>
      </xsl:if>
			<LEVELLANGATTRS>
				<LEVELLANGATTRS>
					<LANGUAGE UniqueID="CS" />
					<NAME>
						<xsl:value-of select="."/>
					</NAME>
				</LEVELLANGATTRS>
			</LEVELLANGATTRS>
		</LEVEL>
	</xsl:template>

	<xsl:template match="URCENO_PRO">
		<xsl:if test="generate-id() = generate-id(key('URCENI', text()))">
		<LEVEL UniqueID="Parfemy-URCENI-{text()}">
			<TYPE>1</TYPE>
			<PARENTLEVEL UniqueID="Parfemy-URCENI-CATEGORIZATION_LEVEL"/>
			<LEVELLANGATTRS>
				<LEVELLANGATTRS>
					<LANGUAGE UniqueID="CS" />
					<NAME>
						<xsl:value-of select="text()"/>
					</NAME>
				</LEVELLANGATTRS>
			</LEVELLANGATTRS>
		</LEVEL>
		</xsl:if>
	</xsl:template>
	
</xsl:stylesheet>