<?xml version="1.0" encoding="windows-1250"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0"
		>
	<xsl:param name="BuyingPriceList"/>
	<xsl:param name="RecommendedPriceList"/>
	<xsl:output method="xml" encoding="utf-8" indent="yes" />
	<xsl:decimal-format decimal-separator="."/>

  <!-- Declare keys -->
	<xsl:key name="PRODUCT" match="/SHOP/SHOPITEM" use="CODE"/>
	<xsl:key name="VARIANT" match="/SHOP/SHOPITEM/PARAMETERS/PARAMETER" use="CODE"/>


	<xsl:template match="/SHOP">
	<DATA Mode="bind_changes">
		<xsl:apply-templates select="SHOPITEM"/>
	</DATA>
	</xsl:template>
	
<xsl:template match="SHOPITEM">
	<xsl:if test="generate-id() = generate-id(key('PRODUCT', CODE))">
		<PRICES UniqueID="Parfemy-{CODE}">
			<Prices>
				<Price>
				<Currency UniqueID="CZK" />
				<Value>
				  <xsl:value-of select="PRICE"/>
				</Value>
				<ValueWithVat>
				  <xsl:value-of select="PRICE_VAT"/>
				</ValueWithVat>
				<xsl:if test="$RecommendedPriceList!=''">
				  <PriceList UniqueID="$RecommendedPriceList"/>
				</xsl:if>
				<xsl:if test="$RecommendedPriceList=''">
				  <PriceList UniqueID="PRICELIST_ENDCUSTOMER"/>
				</xsl:if>
				</Price>
			</Prices>
		</PRICES>
		<xsl:apply-templates select="PARAMETERS/PARAMETER"/>
	</xsl:if>
</xsl:template>
	<xsl:template match="PARAMETERS/PARAMETER">
		<!-- 
		zajitn uniktnosti:
			nov vrobek bude vloen jen v ppad, e jeho kd nen pouit jako kd jinho hlavnho vrobku 
			ani nen pouit mezi jinmi variantami
		-->
		<xsl:if test="count(key('PRODUCT', CODE)) = 0 and  generate-id() = generate-id(key('VARIANT', CODE))">
			<PRICES UniqueID="Parfemy-{CODE}">
				<Prices>
					<Price>
						<Currency UniqueID="CZK" />
						<Value/>
						<ValueWithVat>
							<xsl:value-of select="PRICE_VAT"/>
						</ValueWithVat>
						<xsl:if test="$RecommendedPriceList!=''">
							<PriceList UniqueID="$RecommendedPriceList"/>
						</xsl:if>
						<xsl:if test="$RecommendedPriceList=''">
							<PriceList UniqueID="PRICELIST_ENDCUSTOMER"/>
						</xsl:if>
					</Price>
				</Prices>
			</PRICES>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>